%define name soundtracker
%define version 0.3.6
%define release 1
%define prefix /usr

Summary: A music tracker for the X Window System.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Multimedia
Copyright: GPL
Url: http://www.soundtracker.org/
Source: ftp://ftp.soundtracker.org/pub/soundtracker/v0.3/soundtracker-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
SoundTracker is a music tracker for the X Window System.  Music
trackers arrange sound samples on tracks.  A track or channel can only
play one sample at a time.  Theoretically, trackers for PCs can mix an
unlimited number of channels (typically up to 32) into a single sound
stream.  SoundTracker is like the ProTracker and FastTracker
programs.

%prep
%setup -q

%build
LINGUAS="de es it pl ja" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS FAQ NEWS TODO README ChangeLog
%attr(755,root,root) %{prefix}/bin/soundtracker
%{prefix}/share/gnome/apps/Multimedia/soundtracker.desktop
%{prefix}/share/locale/*/*/*

%changelog
* Mon Nov 29 1999 Tim Powers <timp@redhat.com>
- using spec file from the tarball now.
- very minor cleanups in the spec file
- quiet setup
